OUTPUT_FORMAT("elf32-tradbigmips", "elf32-tradbigmips", "elf32-tradbigmips")
OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
    . = 0xBFC00000;

    _rom_start = .;
	. = ALIGN(4);
	.text       :
	{
	  *(.text)
	}

	. = ALIGN(4);
	.rodata  : 
	{
    	*(.rodata) *(.rodata.*)
	}

	. = ALIGN(4);

    _rom_end = .;


    _boot_data_start = .;

	.data  : 
	{
	    *(.data) 
	}

	_gp = ALIGN(16);


	boot_end_data = .;
	_boot_data_end = .;

	. = ALIGN(4);
	.sbss  : { *(.sbss) }
	.bss  : { *(.bss) }
	boot_end = .;
}
