OUTPUT_FORMAT("elf32-tradbigmips", "elf32-tradbigmips", "elf32-tradbigmips")
OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
    . = 0xb9000000;

    _rom_start = .;
    
	. = ALIGN(4);
	
	.text       :
	{
	  *(.text)
	}

	. = ALIGN(4);
	
	.rodata  : 
	{
    	*(.rodata) *(.rodata.*)
	}

	. = ALIGN(4);

    _rom_end = .;

    . = 0xbd000000;

    _boot_data_start = .;

	.data  : { *(.data) }

	_boot_data_end = .;

	. = ALIGN(4);
	.sbss  : { *(.sbss) }
	.bss  : { *(.bss) }
	.scommon  : { *(.scommon) }
	
	boot_end = .;
}


